Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class SubscriberDetails

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.SubscriberDetails

public class SubscriberDetails
extends java.lang.Object

Class SubscriberDetails holds the information of the subscriber such as the associated keys, boolean to indicate whether to log the details of portlet/provider usage. These will be logged in the middle-tier.

Constructor Summary
`SubscriberDetails()`

Method Summary
`protected java.lang.String` | `getSubscriberInfo()` Get method for subscriberInfo tag in provider.xml
`protected java.lang.String` | `getSubscriberKeys()` Get method for subscriberKeys tag in provider.xml
`void` | `setSubscriberInfo(java.lang.String subscriberInfo)` Set method for subscriberInfo tag in provider.xml
`void` | `setSubscriberKeys(java.lang.String subscriberKeys)` Set method for subscriberInfo tag in provider.xml

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubscriberDetails

    public SubscriberDetails()

Method Detail

### setSubscriberInfo

    public void setSubscriberInfo(java.lang.String subscriberInfo)

  Set method for subscriberInfo tag in provider.xml

### getSubscriberInfo

    protected java.lang.String getSubscriberInfo()

  Get method for subscriberInfo tag in provider.xml
  Returns:
    value of subscriberInfo tag.

### setSubscriberKeys

    public void setSubscriberKeys(java.lang.String subscriberKeys)

  Set method for subscriberInfo tag in provider.xml

### getSubscriberKeys

    protected java.lang.String getSubscriberKeys()

  Get method for subscriberKeys tag in provider.xml
  Returns:
    value of subscriberKeys.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD